# https://docs.fedoraproject.org/en-US/quick-docs/publish-rpm-on-copr
# http://ftp.rpm.org/max-rpm/s1-rpm-inside-scripts.html
# https://rpm-software-management.github.io/rpm/manual/macros.html
# https://rpm-packaging-guide.github.io/
%global _owner pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )
%global _dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

%define _ulog_name        ulogd2
%define _ulog_ug_name     %{_ulog_name}-sysusers
%define _ulog_ug_pkgname  %{_ulog_ug_name}
%define _ulog_ug_comment  Ulogd2 users & groups

# https://spdx.org/licenses/MIT.html
%global _ulog_ug_license MIT

%define _ulog_ug_file_in  %{_ulog_name}.sysusers
%define _ulog_ug_file_out %{_ulog_name}.conf
%define _ulog_ug_dir      /etc/sysusers.d

%global dist %{_dist}

# NEVRA (n-e:v-r.a)
Name:              %{_ulog_ug_name}
Epoch:             3
Version:           git_1.0
Release:           0%{?dist}
BuildArch:         noarch

Summary:           %{_ulog_ug_comment}
License:           %{_ulog_ug_license}

Source0:           %{_ulog_ug_file_in}
Provides:          group(%{_ulog_name})
Provides:          user(%{_ulog_name})

BuildRequires:     coreutils
BuildRequires:     systemd-rpm-macros
%{?sysusers_requires_compat}

%description
%{_ulog_ug_comment}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_ulog_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_ulog_ug_dir}/%{_ulog_ug_file_out}

%check

%pre
%sysusers_create_compat %{SOURCE0}

%files
%dir %{_ulog_ug_dir}
%{_ulog_ug_dir}/%{_ulog_ug_file_out}

%changelog
* Tue Apr 15 2025 pgnd _ <null@null.loc>
- bump 1744765427
